%define api   1
%define major 0
%define libname %mklibname ddm %{api}_%major
%define develname %mklibname -d ddm %api

Name:           desktop-data-model
Version:        1.2.4
Release:        %mkrel 2
Summary:        Engine providing live updates of online data to the desktop

Group:          Graphical desktop/GNOME
License:        LGPLv2+
URL:            http://live.gnome.org/OnlineDesktop
Source0:        http://download.gnome.org/sources/desktop-data-model/desktop-data-model-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  loudmouth-devel >= 1.0.3-3
BuildRequires:  dbus-glib-devel >= 0.61 
BuildRequires:  gnome-desktop-devel >= 2.10.0
BuildRequires:  sqlite3-devel >= 3.0.0
BuildRequires:  libxscrnsaver-devel
Conflicts: mugshot < 1.2.1-1mdv

%description
desktop-data-model provides an engine and client library that allow
desktop applications to retrieve data from the online.gnome.org server
and elsewhere and get updates when the data changes. This allows
creating applications that provide a live display of information
from the Internet.

%package -n %{libname}
Group: System/Libraries
Summary: Engine providing live updates of online data to the desktop
Requires: %name >= %version

%description -n %libname
desktop-data-model provides an engine and client library that allow
desktop applications to retrieve data from the online.gnome.org server
and elsewhere and get updates when the data changes. This allows
creating applications that provide a live display of information
from the Internet.

%package -n %develname
Summary: Development headers for Online Desktop Data Model
Group: Development/C
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Provides: libddn-devel = %version-%release

%description -n %develname
This package contains libraries for Online Desktop Data Model.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo %{version} > %{_datadir}/desktop-data-model/version

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif


%files
%defattr(-,root,root,-)
%doc COPYING
%ghost %{_datadir}/desktop-data-model/version
%{_libexecdir}/desktop-data-engine
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libddm-%{api}.so.%{major}*


%files -n %develname
%dir %{_includedir}/ddm-1
%{_includedir}/ddm-1/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.la



%changelog
* Sat Sep 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-2mdv2009.0
+ Revision: 282007
- Add conflicts to ease upgrade from Mdv 2008.1

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 242272
- import desktop-data-model


* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2009.0
- adapt for mandriva

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 1.2.4-2
- rebuild for dependancies

* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 1.2.4-1
- new upstream

* Fri Apr 04 2008 Colin Walters <walters@redhat.com> - 1.2.3-1
- new upstream

* Thu Mar 20 2008 Colin Walters <walters@redhat.com> - 1.2.2-1
- new upstream

* Wed Feb 27 2008 Colin Walters <walters@redhat.com> - 1.2.0-2
- Require desktop-data-model from -devel
- Add conflicts: on earlier Mugshot versions since we both ship libddm-1.so

* Tue Jan 29 2008 Colin Walters <walters@redhat.com> - 1.2.0-1
- initial splat into spec
